/*===========================================================================

   SPW Hello Splash Dialog

	$ Version 3.0  15/10/97  18:12:24 $

   Copyright 1994 by Marco Savegnago.  All rights reserved.
   This software may be freely distributed and used, but it may not
   under any circumstances be sold by anyone other than the author.
   It may be distributed by a commercial company as long as it is
	for no cost.

===========================================================================*/

#include "spwhello.h"

// --------------------------------------------------------------- //
// constructor                                                     //
// --------------------------------------------------------------- //
TSplashDialog::TSplashDialog(TWindow *Parent, TResId ResId)
:
    TDialog(Parent, ResId),
    TWindow(Parent, 0)
{
}

// --------------------------------------------------------------- //
// destructor                                                      //
// --------------------------------------------------------------- //
TSplashDialog::~TSplashDialog()
{
}

// --------------------------------------------------------------- //
// SetupWindow                                                     //
// --------------------------------------------------------------- //
void TSplashDialog::SetupWindow()
{
  TDialog::SetupWindow();
  // put new stuff here
  SetTimer(IdTimer, TimeOut);
  TRect screenRect;
  ::GetWindowRect(GetDesktopWindow(), &screenRect);
  TRect dialogRect;
  GetWindowRect(dialogRect);
  int x = (screenRect.right-screenRect.left)/2 -
    (dialogRect.right-dialogRect.left)/2;
  int y = (screenRect.bottom-screenRect.top)/2 -
    (dialogRect.bottom-dialogRect.top)/2;
  SetWindowPos(NULL, x, y, 0, 0, SWP_NOSIZE | SWP_NOZORDER);
}

// --------------------------------------------------------------- //
// EvTimer                                                         //
// --------------------------------------------------------------- //
void TSplashDialog::EvTimer(UINT)
{
  KillTimer(IdTimer);             // get rid of timer
  PostMessage(WM_CLOSE, 0, 0);    // close the dialog
}

// --------------------------------------------------------------- //
// Response table                                                  //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TSplashDialog, TDialog)
  EV_WM_TIMER,
END_RESPONSE_TABLE;

